using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsNoticePrice {
        public BemsNoticePrice() {
            BemsNoticePriceBase = new HashSet<BemsNoticePriceBase>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public short FuelTypeId { get; set; }
        [Key]
        [Column(TypeName = "date")]
        public DateTime ApplyDate { get; set; }

        [ForeignKey(nameof(FuelTypeId))]
        public virtual BemsFuelType FuelType { get; set; }
        [ForeignKey(nameof(SiteId))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("BemsNoticePrice")]
        public virtual ICollection<BemsNoticePriceBase> BemsNoticePriceBase { get; set; }
    }
}
